package com.cooleshow.student.contract;

import com.cooleshow.base.presenter.view.BaseView;
import com.cooleshow.student.bean.SparringCourseCommentBean;
import com.cooleshow.student.bean.SparringCourseHomeworkBean;

/**
 * 创建日期：2022/5/31 9:53
 *
 * @author Ryan
 * 类说明：
 */
public interface PracticeCourseDetailContract {
    interface PracticeCourseDetailView extends BaseView {
        void getSparringCourseHomeworkSuccess(SparringCourseHomeworkBean homeworkBean);

        void getSparringCourseCommentSuccess(SparringCourseCommentBean data);

        void upLoadVideoSuccess(String url);

        void submitSparringCourseHomeworkSuccess();

    }

    interface Presenter {

    }
}
